Option Strict Off
Option Explicit On
Imports System.Windows.Forms
'------------------------------------ 2024/04/01 ------------------------------------
Public Class 四frmDlgPctFilesListCHG

#Region "宣言"
    Private mUserName As String = ""
    Private m使用中リストIDX As Integer
    Private m現在の登録枚数 As Integer
    Private mフォーム最大制限WD As Integer, mフォーム最大制限HT As Integer, mフォームとPct差分WD As Integer, mフォームとPct差分HT As Integer
    Private mLoading As Integer = False
    Private mDlgRetunOK As Boolean = False
    Private mMenuHight As Integer
    Private mpnlSizeSetDefHeight As Integer
    Private mWaku As New 五clsWakuwaku
    Private mラベル() As Label
    '--------------------------------------------------------------------------------------------------------------------------------------
    Public mFileRects(0) As Rectangle
    Private mListMax, mListColX, mListItemWDHT, mListLowY, mListPichXY, mBmpMaxHT As Integer
    Private mListMaxOLD, mListColXOLD, mListItemWDHTOLD, mListLowYOLD, mListPichXYOLD, mBmpMaxHTOLD As Integer
    Private mリストセル枠色 As Integer, mリストの配色背景 As Integer
    Private mリストセル枠色OLD As Integer, mリストの配色背景OLD As Integer
    Private m画像の数が_rFileRects_より多い As Boolean
    '--------------------------------------------------------------------------------------------------------------------------------------
    Event 最大制限フォームサイズ_を知らせてください(ByRef rUserName As String, ByRef wフォーム最大制限WD As Integer, ByRef wフォーム最大制限HT As Integer, ByRef wフォームとPct差分WD As Integer, ByRef wフォームとPct差分HT As Integer)

    Event 画像リストのデーターをください(ByRef rUserName As String, ByRef rwFormWD As Integer, ByRef rwFormHT As Integer, _
            ByRef rw使用中リストIDX As Integer, ByRef rw現在の登録枚数 As Integer, ByRef rwpctFileList As PictureBox, ByRef rwlblFile As Label, _
            ByRef rwLRects() As Rectangle, ByRef rwListMax As Integer, ByRef rwListColX As Integer, ByRef rwListLowY As Integer, ByRef rwListPichXY As Integer, ByRef rwListItemWDHT As Integer, _
            ByRef rwリストセル枠色 As Integer, ByRef rwリストの配色背景 As Integer)

    Event 画像リストを呼び出し元に描画してください(ByRef rUserName As String, ByRef fm As Form, _
            ByRef rw使用中リストIDX As Integer, ByRef rwpctFileList As PictureBox, ByRef rwlblFile As Label, _
            ByRef rwLRects() As Rectangle, ByRef rwListMax As Integer, ByRef rwListColX As Integer, ByRef rwListLowY As Integer, ByRef rwListPichXY As Integer, ByRef rwListItemWDHT As Integer, _
            ByRef rwリストセル枠色 As Integer, ByRef rwリストの配色背景 As Integer)

    Event 新しいサイズが決定されました(ByRef rUserName As String, ByRef rwFormWD As Integer, ByRef rwFormHT As Integer, _
            ByRef rw使用中リストIDX As Integer, ByRef rwpctFileList As PictureBox, ByRef rwlblFile As Label, _
            ByRef rwLRects() As Rectangle, ByRef rwListMax As Integer, ByRef rwListColX As Integer, ByRef rwListLowY As Integer, ByRef rwListPichXY As Integer, ByRef rwListItemWDHT As Integer, _
            ByRef rwリストセル枠色 As Integer, ByRef rwリストの配色背景 As Integer)
    '**************************************************************************
    '宣言
    Private WithEvents o色見本 As 五clsColorSet2401 = Nothing
    Private flg_o色見本Loading As Boolean = True
#End Region

#Region "AppIniFileOp"
    Private Function zzAppIniFileOp(ByVal Load_0_QueryUnload_1_Resize_2_DoIniSave_3 As Long) As Boolean
        '読出し時に　INI ファイルが存在しない場合は　False　を返します。
        If gggAppIniFile Is Nothing Then Return False
        Return gggAppIniFile.aaAppIniFileOp_フォームサイズと位置だけ_共通処理(Load_0_QueryUnload_1_Resize_2_DoIniSave_3, Me, mUserName & "-2846")
    End Function
#End Region

#Region "フォームイベント"
    '***********************************************************************
    Public Function aa_DlgShow(ByRef rUserName As String) As Boolean
        If rUserName = "" Then Return False
        mUserName = rUserName
        If Not zzAppIniFileOp(0) Then gggint = ⅩFormMove(gcoフォームをスクリーン中心に移動, Me)
        Me.ShowDialog()
        Return mDlgRetunOK
    End Function
    '***********************************************************************
    Private Sub 四frmDlgPctFilesIOListChg_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        o色見本.Dispose()
        gggint = zzAppIniFileOp(1)  '必ず呼び出します。
        '---------------------------------------------------------------
        gggbol = mWaku.aa_Delete()  'Private mWaku As New 五clsWakuwaku
        '---------------------------------------------------------------
    End Sub
    '***********************************************************************
    Private Sub 四frmDlgPctFilesIOListChg_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        mLoading = True
        mMenuHight = mnuMain.Height
        pctChgList.SetBounds(0, mMenuHight, 0, 0, BoundsSpecified.Location)
        Call zzサイズラベルの操作(100, 0)
        '------------------------------------------------------------------
        Dim rwFormWD As Integer, rwFormHT As Integer
        RaiseEvent 最大制限フォームサイズ_を知らせてください(mUserName, mフォーム最大制限WD, mフォーム最大制限HT, mフォームとPct差分WD, mフォームとPct差分HT)
        'qqqqq(CStr(mフォーム最大制限WD) + ", " + CStr(mフォーム最大制限HT) + ", " + CStr(mフォームとPct差分WD) + ", " + CStr(mフォームとPct差分HT) + ", ")
        RaiseEvent 画像リストのデーターをください(mUserName, rwFormWD, rwFormHT, m使用中リストIDX, m現在の登録枚数, pctChgList, lblFileChg, mFileRects, mListMax, mListColX, mListLowY, mListPichXY, mListItemWDHT, mリストセル枠色, mリストの配色背景)
        '------------------------------------------------------------------
        mListMaxOLD = mListMax
        mListColXOLD = mListColX
        mListItemWDHTOLD = mListItemWDHT
        mListLowYOLD = mListLowY
        mListPichXYOLD = mListPichXY
        mBmpMaxHTOLD = mBmpMaxHT
        mリストセル枠色OLD = mリストセル枠色
        mリストの配色背景OLD = mリストの配色背景
        '------------------------------------------------------------------
        Me.Icon = frmMain.Icon
        Me.SetBounds(Me.Left, Me.Top, rwFormWD, rwFormHT)
        '------------------------------------------------------------------
        pnlSizeSet.SetBounds(0, mMenuHight, 0, 0, BoundsSpecified.Location)
        '------------------------------------------------------------------
        lblFileChg.BringToFront() : lblFileChg.BackColor = Color.White
        pnlSizeSet.BringToFront()
        lblHit.BringToFront()
        '------------------------------------------------------------------
        gggbol = mWaku.aa_Make(pnlSizeSet, 3, lblHit.BackColor)
        gggbol = mWaku.aa_位置サイズ_Set(100, 100, 200, 200, 0)
        gggbol = mWaku.aa_BringToFront()
        '------------------------------------------------------------------
        mpnlSizeSetDefHeight = pnlSizeSet.Height
        '------------------------------------------------------------------
        btnSize.SetBounds(0, 0, pnlSizeSet.ClientRectangle.Width, btnSize.Height, BoundsSpecified.Location Or BoundsSpecified.Size)
        '------------------------------------------------------------------
        Call zz画像リスト変更用グラフの描画とマウスチェック(0, 0, 0, 0, 0)
        Call zz画像リスト変更用グラフの描画とマウスチェック(2, mListColX, mListLowY, 0, 0)
        '------------------------------------------------------------------
        Call zzサイズラベルの操作(1, mListItemWDHT)
        '------------------------------------------------------------------
        m画像の数が_rFileRects_より多い = False
        '------------------------------------------------------------------
        Call zzNewSizeSet()
        '------------------------------------------------------------------
        o色見本 = New 五clsColorSet2401(flg_o色見本Loading, pnlSizeSet, 240, 19, 212, 200)
        Call o色見本opt背景色optセル枠色_ColorSelect()
        '------------------------------------------------------------------
        mnuすべて適用して閉じる.Enabled = False
        mnu色を元に戻す.Enabled = False
        '------------------------------------------------------------------
        mDlgRetunOK = False
        mLoading = False
    End Sub
    '***********************************************************************
    Private Sub pctSet_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles pctSet.MouseDown
        gggint = Ⅹマウスイベント検査2022(gcoMsDown, e.Button, e.X, e.Y, 2, 2, 2, 2)
    End Sub
    Private Sub pctSet_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles pctSet.MouseUp
        Dim 現在のファイルの選択位置より大きい位置なのでサイズ変更できる As Boolean
        Dim colX, colY As Integer
        If Ⅹマウスイベント検査2022(gcoMsUp, e.Button, e.X, e.Y, 2, 2, 2, 2) Then
            現在のファイルの選択位置より大きい位置なのでサイズ変更できる = zz画像リスト変更用グラフの描画とマウスチェック(1, e.X, e.Y, colX, colY)
            If 現在のファイルの選択位置より大きい位置なのでサイズ変更できる Then
                mListColX = colX
                mListLowY = colY
                mListMax = mListColX * mListLowY
                Call zzNewSizeSet()
            Else

            End If
        End If
    End Sub
    '***********************************************************************
#End Region

#Region "コマンドイベント"
    '***********************************************************************
    Private Sub btnSize_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSize.Click
        With pnlSizeSet
            If .Height < mpnlSizeSetDefHeight \ 2 Then .Height = mpnlSizeSetDefHeight Else .Height = btnSize.Height + (.Height - .ClientRectangle.Height)
        End With
    End Sub
    '***********************************************************************
    Private Sub mnuすべて適用して閉じる_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles mnuすべて適用して閉じる.Click
        mDlgRetunOK = False
        If m画像の数が_rFileRects_より多い Then
            If 2 = MsgBox("現在の設定で、画像ファイルリストを変更すると、" & gggCR2 & "リストに登録されている、ファイルデーターの一部が、" & gggCR2 & "消えてしまって、復活はできません。" & gggCR2 & "ユーザーの手作業による、再登録が必要になります。" & gggCR2 & "よろしいですか？" & gggCR2 & "", 305, "ファイルリストの変更") Then Exit Sub
            'Ret = 2 '< 取消 >
        End If
        If Me.Width > mフォーム最大制限WD Or Me.Height > mフォーム最大制限HT Then
            If 2 = MsgBox("現在の設定で、画像ファイルリストを変更すると、" & gggCR2 & "呼び出し元のウインドウのサイズが、最大制限サイズを超えます。" & gggCR2 & "よろしいですか？" & gggCR2 & "", 305, "ファイルリストの変更") Then Exit Sub
        End If
        mDlgRetunOK = True
        RaiseEvent 新しいサイズが決定されました(mUserName, Me.Width, Me.Height, m使用中リストIDX, pctChgList, lblFileChg, mFileRects, mListMax, mListColX, mListLowY, mListPichXY, mListItemWDHT, mリストセル枠色, mリストの配色背景)
        Call zzサイズラベルの操作(101, 0)
        Me.Close()
    End Sub
    Private Sub mnuすべてキャンセルして閉じる_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles mnuすべてキャンセルして閉じる.Click
        mDlgRetunOK = False
        Call zzサイズラベルの操作(101, 0)
        Me.Close()
    End Sub
    Private Sub mnu色を元に戻す_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles mnu色を元に戻す.Click
        mリストセル枠色 = mリストセル枠色OLD
        mリストの配色背景 = mリストの配色背景OLD
        gggbol = zzNewSizeSet()
        Call o色見本opt背景色optセル枠色_ColorSelect()   '2023/08/02 add code
    End Sub
    '***********************************************************************
    Private Sub _lblSize_0_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles _lblSize_0.Click, _lblSize_1.Click, _lblSize_2.Click, _lblSize_3.Click, _lblSize_4.Click, _lblSize_5.Click
        Dim index As Integer = IIf(sender.Equals(_lblSize_0), 0, IIf(sender.Equals(_lblSize_1), 1, IIf(sender.Equals(_lblSize_2), 2, IIf(sender.Equals(_lblSize_3), 3, IIf(sender.Equals(_lblSize_4), 4, IIf(sender.Equals(_lblSize_5), 5, -1))))))
        If index < 0 Then Return
        Call zzサイズラベルの操作(0, index)
        Call zzNewSizeSet()
    End Sub
    '***********************************************************************
    Private Sub optセル枠色_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles optセル枠色.CheckedChanged
        Call o色見本opt背景色optセル枠色_ColorSelect()
    End Sub
    Private Sub opt背景色_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles opt背景色.CheckedChanged
        Call o色見本opt背景色optセル枠色_ColorSelect()
    End Sub
    Private Sub o色見本opt背景色optセル枠色_ColorSelect()
        If flg_o色見本Loading Then Exit Sub
        If o色見本 IsNot Nothing Then o色見本.CurMainColor = IIf(opt背景色.Checked, mリストの配色背景, mリストセル枠色)
    End Sub
    Private Sub o色見本_OnColorChanged(ByVal rCurMainColor As Integer, ByVal rCurColor As Integer, ByVal rChangeMode As 五clsColorSet2401.ColorChangeMode, ByVal rEventMouseUp As Boolean) Handles o色見本.OnColorChanged
        If flg_o色見本Loading Then Exit Sub
        If rCurColor >= 0 Then
            If rEventMouseUp Then
                If opt背景色.Checked Then mリストの配色背景 = rCurColor Else mリストセル枠色 = rCurColor
                gggbol = zzNewSizeSet()
            End If
        End If
        'If rEventMouseUp Then Debug.Print("OnColorChanged() rEventMouseUp = " + CStr(rEventMouseUp))
    End Sub
    '***********************************************************************
#End Region

#Region "zzローカルヘルパー"
    '***********************************************************************
    Private Function zzIsChanged_SizeAndColor() As Boolean
        Return Not (mListMaxOLD = mListMax And mListColXOLD = mListColX And mListItemWDHTOLD = mListItemWDHT And mListLowYOLD = mListLowY And mListPichXYOLD = mListPichXY And mBmpMaxHTOLD = mBmpMaxHT And mリストセル枠色OLD = mリストセル枠色 And mリストの配色背景OLD = mリストの配色背景)
    End Function
    Private Function zzIsChanged_Color() As Boolean
        Return Not (mリストセル枠色OLD = mリストセル枠色 And mリストの配色背景OLD = mリストの配色背景)
    End Function
    '***********************************************************************
    Private Function zz画像リスト変更用グラフの描画とマウスチェック(ByVal op As Integer, ByVal X As Integer, ByVal Y As Integer, ByRef wListColX As Integer, ByRef wListLowY As Integer) As Boolean
        Const pich As Integer = 14 : Const addx As Integer = 6 : Const addy As Integer = 4
        Static rects(0) As RECT : Static offchk(0) As Boolean : Static offcode(0) As Integer
        Static Xnum As Integer : Static Ynum As Integer : Static XYcount As Integer : Static color As Integer
        Static x1 As Integer : Static y1 As Integer : Static x2 As Integer : Static y2 As Integer
        '----------------------------------------------------
        Dim pctLeft, pctTop, xx, a, c, yy As Integer
        Dim sss(8) As String : Dim sssX(8) As Integer : Dim sssY(8) As Integer
        Dim eee As Boolean
        pctLeft = pctSet.Left
        pctTop = pctSet.Top
        eee = True
        Select Case op
            Case 0 'Make
                yy = btnSize.Height
                '----------------------------------------------------
                Xnum = 16 : Ynum = 12 : XYcount = Xnum * Ynum : ReDim rects(XYcount) : ReDim offchk(XYcount) : ReDim offcode(XYcount)
                pctSet.SetBounds(0, yy, pich * Xnum + 1 + addx, pich * Ynum + 1 + addy)
                For a = 0 To XYcount - 1
                    x1 = (a Mod Xnum) : y1 = (a \ Xnum) : xx = addx + x1 * pich : yy = addy + y1 * pich
                    c = a + 1
                    gggint = SetRect(rects(c), xx, yy, xx + pich, yy + pich)
                    offchk(c) = ((x1 + 1) > 5) And ((y1 + 1) > 3)
                    offcode(c) = IIf(offchk(c), 0, 1)
                Next
                Dim ペン As New Pen(Drawing.Color.Black, 1)
                If ペン IsNot Nothing Then
                    For a = 1 To XYcount
                        color = IIf((a Mod 4 = 0) Or (a > 48 And a <= 64) Or (a > 112 And a <= 128) Or (a > 176 And a <= 192), &HF1F1F1, ⅩColor構造体_to_色値(System.Drawing.Color.White))
                        color = IIf(offchk(a), color, &HC0C0C0)
                        With rects(a)
                            gggbol = ⅩImageFillRect(pctSet.Image, color, .lll, .ttt, .rrr - .lll, .bbb - .ttt, False)
                        End With
                        gggint = ⅩImage_描画長方形枠_線幅指定_ペン指定(pctSet.Image, rects(a), ペン)
                    Next
                    '-----------------------------------------------------------------------
                    '現在の選択位置で、リストの数が制限されるので、リストサイズ設定グラフに入力不可の領域を追加して描画する。
                    For c = 0 To XYcount - 1
                        x1 = (c Mod Xnum) + 1 : y1 = (c \ Xnum) + 1
                        If x1 * y1 < m使用中リストIDX Then
                            a = c + 1
                            If offchk(a) Then
                                With rects(a)
                                    gggbol = ⅩImageFillRect(pctSet.Image, &H7070FF, .lll, .ttt, .rrr - .lll, .bbb - .ttt, False)
                                End With
                                gggint = ⅩImage_描画長方形枠_線幅指定_ペン指定(pctSet.Image, rects(a), ペン)
                                offchk(a) = False
                                offcode(a) = 2
                            End If
                        End If
                    Next
                    ペン.Dispose()
                End If
                '-----------------------------------------------------------------------
                x1 = rects(1).lll : y1 = rects(1).ttt : x2 = rects(XYcount).rrr : y2 = rects(XYcount).bbb
                '-----------------------------------------------------------------------
                pctSet.Refresh()
                lblHit.SetBounds(0, 0, pich, pich, BoundsSpecified.Size)
                eee = True
                '-----------------------------------------------------------------------
            Case 1 'MouseUp
                eee = False
                If X > x1 And Y > y1 And X < x2 And Y < y2 Then
                    For a = 1 To XYcount
                        With rects(a)
                            If X > .lll And Y > .ttt And X < .rrr And Y < .bbb Then
                                If offchk(a) Then
                                    eee = zzSetCurSizeAndPos_Waku_Label(rects, a, pctLeft, pctTop)
                                    If eee Then
                                        eee = zz画像リスト変更用グラフの描画とマウスチェック(3, X, Y, wListColX, wListLowY)
                                    End If
                                Else
                                    If offcode(a) = 2 Then
                                        MsgBox("現在表示している選択ファイルの位置が" & gggCR2 & "新しいリストの最大位置を超えるので" & gggCR2 & "現在のリスト数を少なくできません。" & gggCR2 & "もっと多いリスト数を選択してください。" & gggCR2 & "現在のリスト数を、少なくしたいのであれば、" & gggCR2 & "[ 閉じる ] ボタンで、メインリストに戻り" & gggCR2 & "現在の選択ファイルの位置を" & gggCR2 & "小さい方向へ変更してください。", 48, "現在の選択ファイルの位置！！")
                                    Else
                                        MsgBox("選択した位置では、新しいリストのサイズは" & gggCR2 & "高さあるいは幅の、最小制限サイズより小さくなります。" & gggCR2 & "高さあるいは幅の選択位置を、大きくしてください。", 48, "新しいリストのサイズ選択")
                                    End If
                                    eee = False
                                End If
                                Exit For
                            End If
                        End With
                    Next
                End If
                '-----------------------------------------------------------------------
            Case 2 'mListColX, mListLowY　から設定
                For a = 0 To XYcount - 1
                    x1 = (a Mod Xnum) + 1 : y1 = (a \ Xnum) + 1
                    If x1 = mListColX And y1 = mListLowY Then
                        eee = zzSetCurSizeAndPos_Waku_Label(rects, a + 1, pctLeft, pctTop)
                        Exit For
                    End If
                Next
                '-----------------------------------------------------------------------
            Case 3 'x, y, から現在の　wListColX,  wListLowY　を見つける
                wListColX = (X - addx) \ pich + 1 : wListLowY = (Y - addy) \ pich + 1
                eee = True
        End Select
        '-----------------------------------------------------------------------
        Return eee
    End Function
    Private Function zzSetCurSizeAndPos_Waku_Label(ByRef rc() As RECT, ByVal CurIDX As Integer, ByVal pctLeft As Integer, ByVal pctTop As Integer) As Boolean
        With rc(CurIDX)
            lblHit.SetBounds(pctLeft + .lll, pctTop + .ttt, 0, 0, BoundsSpecified.Location)
            gggbol = mWaku.aa_位置サイズ_Set(pctLeft + rc(1).lll, pctTop + rc(1).ttt, .rrr - rc(1).lll + 1, .bbb - rc(1).ttt + 1, 0)
        End With
        Return True
    End Function
    '***********************************************************************
    Private Function zzサイズラベルの操作(ByRef op As Integer, ByRef IDX_or_WDHT As Integer) As Boolean
        Dim a As Integer
        Dim 文字列 As String
        Dim ccc As Color = lblHit.BackColor
        Select Case op
            Case 0 'lblSize_Click  Index = IDXorWDHT
                For a = 0 To 5
                    With mラベル(a)
                        If a = IDX_or_WDHT Then
                            If .BackColor <> ccc Then .BackColor = ccc
                            If .ForeColor <> Color.White Then .ForeColor = Color.White
                        Else
                            If .BackColor <> Color.White Then .BackColor = Color.White
                            If .ForeColor <> Color.Black Then .ForeColor = Color.Black
                        End If
                    End With
                Next
                mListItemWDHT = Ⅹ全角数字の値(mラベル(IDX_or_WDHT).Text)
            Case 1 'on load current mListItemWDHT = IDXorWDHT
                文字列 = StrConv(CStr(IDX_or_WDHT), VbStrConv.Wide)
                a = Ⅹラベル文字列一致インデックス(mラベル, 文字列)
                Return zzサイズラベルの操作(0, a)
            Case 2 'return  mListItemWDHT = IDXorWDHT
                For a = 0 To 5
                    If mラベル(a).BackColor = ccc Then
                        IDX_or_WDHT = Ⅹ全角数字の値(mラベル(a).Text)
                        Exit For
                    End If
                Next
            Case 100
                ReDim mラベル(5) : mラベル(0) = _lblSize_0 : mラベル(1) = _lblSize_1 : mラベル(2) = _lblSize_2 : mラベル(3) = _lblSize_3 : mラベル(4) = _lblSize_4 : mラベル(5) = _lblSize_5
            Case 101
                For a = 0 To UBound(mラベル) : mラベル(a) = Nothing : Next
        End Select
        Return True
    End Function
    '***********************************************************************
    Private Function zzNewSizeSet() As Boolean
        '------------------------------------------------------------------
        RaiseEvent 画像リストを呼び出し元に描画してください(mUserName, Me, m使用中リストIDX, pctChgList, lblFileChg, mFileRects, mListMax, mListColX, mListLowY, mListPichXY, mListItemWDHT, mリストセル枠色, mリストの配色背景)
        '------------------------------------------------------------------
        mnuすべて適用して閉じる.Enabled = zzIsChanged_SizeAndColor()
        mnu色を元に戻す.Enabled = zzIsChanged_Color()
        m画像の数が_rFileRects_より多い = (mListMax < m現在の登録枚数)
        lbl画像リスト数チェック.Text = Ⅹ全角文字に数値を変換(mListColX) & "　個　×　" & Ⅹ全角文字に数値を変換(mListLowY) & "　個　＝　" & Ⅹ全角文字に数値を変換(mListMax) & "　個"
    End Function
    '***********************************************************************
#End Region

End Class